Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.res
Class XSLMessages

    java.lang.Object
      |
      +--org.apache.xalan.res.XSLMessages

public class XSLMessages
extends java.lang.Object

**For internal use only** Sets things up for issuing error messages. This class is misnamed, and should be called XalanMessages, or some such.

Constructor Summary
`XSLMessages()` **For internal use only**

Method Summary
`static java.lang.String` | `createMessage(int errorCode, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.lang.String` | `createMessage(java.lang.String bundleName, int errorCode, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createMsg(XSLResourceBundle fResourceBundle, java.lang.String msgKey, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createWarning(int errorCode, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHMessage(int errorCode, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHMsg(XSLResourceBundle fResourceBundle, java.lang.String msgKey, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`static java.lang.String` | `createXPATHWarning(int errorCode, java.lang.Object[] args)` **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()` **For internal use only**
`static java.util.ListResourceBundle` | `loadResourceBundle(java.lang.String className)` **For internal use only** Return a named ResourceBundle for a particular locale.
`void` | `setLocale(java.util.Locale locale)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLMessages

    public XSLMessages()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

### getLocale

    public java.util.Locale getLocale()

### createXPATHWarning

    public static final java.lang.String createXPATHWarning(int errorCode,
                                                            java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createXPATHMessage

    public static final java.lang.String createXPATHMessage(int errorCode,
                                                            java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createXPATHMsg

    public static final java.lang.String createXPATHMsg(XSLResourceBundle fResourceBundle,
                                                        java.lang.String msgKey,
                                                        java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createWarning

    public static final java.lang.String createWarning(int errorCode,
                                                       java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createMessage

    public static final java.lang.String createMessage(int errorCode,
                                                       java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createMsg

    public static final java.lang.String createMsg(XSLResourceBundle fResourceBundle,
                                                   java.lang.String msgKey,
                                                   java.lang.Object[] args)

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### createMessage

    public java.lang.String createMessage(java.lang.String bundleName,
                                          int errorCode,
                                          java.lang.Object[] args)
                                   throws java.lang.Exception

  **For internal use only** Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `bundleName` - The name of the resource bundle to be used.
    `errorCode` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

### loadResourceBundle

    public static final java.util.ListResourceBundle loadResourceBundle(java.lang.String className)
                                                                 throws java.util.MissingResourceException

  **For internal use only** Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.